BLK_QUEUE_UNPREP_RQ(9)

NAME
blk_queue_unprep_rq - set an unprepare_request function for queue

SYNOPSIS

void blk_queue_unprep_rq(struct request_queue * q, unprep_rq_fn * ufn);

ARGUMENTS

q
    queue

ufn
    unprepare_request function

DESCRIPTION

It's possible for a queue to register an unprepare_request callback which is invoked before the request is finally completed. The goal of the function is to deallocate any data that was allocated in the prepare_request callback.

COPYRIGHT